import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class BottomNavigationBar extends StatefulWidget {
  final List<Widget> unSelectedTabs;
  final List<Widget> selectedTabs;
  final double height;
  final EdgeInsetsGeometry margin;
  final Function onTap;
  final Color labelColor;
  final Color unselectedLabelColor;

  BottomNavigationBar({
    this.selectedTabs,
    this.unSelectedTabs,
    this.height,
    this.margin,
    this.onTap,
    this.labelColor,
    this.unselectedLabelColor
  });

  @override
  _StateBottomNavigationBar createState()  => _StateBottomNavigationBar();
}

class _StateBottomNavigationBar extends State<BottomNavigationBar> {

  final List<Widget> _tabs = [];
  int _index = 0;

  @override
  void initState() {
    super.initState();
    _tabs.addAll(widget.unSelectedTabs);
    _tabs[_index] = widget.selectedTabs[_index];
  }

  @override
  Widget build(BuildContext context) {
    return BottomAppBar(
      child: Container(
        height: widget.height,
        margin: widget.margin,
        child: TabBar(
          tabs: _tabs,
          indicatorColor: Color(0x00000000),
          labelColor: widget.labelColor,
          unselectedLabelColor: widget.unselectedLabelColor,
          onTap: (index) {
            setState(() {
              _tabs[_index] = widget.unSelectedTabs[_index];
              _index = index;
              _tabs[_index] = widget.selectedTabs[_index];
            });
            widget.onTap(index);
          },
        ),
      ),
    );
  }
}
